org.apache.maven.scm.provider.cvslib.cvsexe.command.add

## Class CvsExeAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.cvslib.command.add.AbstractCvsAddCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.add.CvsExeAddCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsExeAddCommand
    extends AbstractCvsAddCommand

Version:
  $Id: CvsExeAddCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsExeAddCommand()`

### Method Summary

Methods
`protected AddScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, List addedFiles)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.add.AbstractCvsAddCommand

`executeAddCommand`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeAddCommand

    public CvsExeAddCommand()

### Method Detail

#### executeCvsCommand

    protected AddScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                 List addedFiles)
                                      throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsAddCommand`
Throws:
  `ScmException`